[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#583650: hw-detect: Too high priority for driver-injection-disk/load template?



tags 583650 + patch
thanks

[Christian Perrier]
> IMHO, this template has a quite sane default and I don't think there
> is a need to display it for default installs. After all, all it is
> asking is "should I try to detect the OEM divers injection disk?"
> which is a quite safe action.
>
> Even though my understanding is that the package itself is used only
> in specific cases, I'd suggest lowering the priority to medium.

I agree as long as the default is true.  This patch would do it.

Index: debian/driver-injection-disk-detect.templates
===================================================================
--- debian/driver-injection-disk-detect.templates       (revision 63340)
+++ debian/driver-injection-disk-detect.templates       (working copy)
@@ -6,6 +6,7 @@

 Template: driver-injection-disk/load
 Type: boolean
+Default: true
 # :sl3:
 _Description: Load drivers from internal "drivers disk"?
  Installing on this hardware may require some drivers provided by the
Index: driver-injection-disk.sh
===================================================================
--- driver-injection-disk.sh    (revision 63340)
+++ driver-injection-disk.sh    (working copy)
@@ -32,7 +32,7 @@
 for device in $(list-devices usb-partition); do
        label=$(block-attr --label $device 2>/dev/null || true)
        if [ "$label" = "OEMDRV" ]; then
-               db_input high driver-injection-disk/load || true
+               db_input medium driver-injection-disk/load || true
                if ! db_go; then
                        exit 10 # back up
                fi

Happy hacking,
-- 
Petter Reinholdtsen



Reply to: